"""empty message

Revision ID: 6c478d2fd92a
Revises: 
Create Date: 2023-08-03 05:25:16.843475

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6c478d2fd92a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('media',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('url', sa.Text(), nullable=True),
    sa.Column('size', sa.BigInteger(), server_default='0', nullable=False),
    sa.Column('category', sa.String(), nullable=True),
    sa.Column('preview', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('users',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('username', sa.Text(), nullable=True),
    sa.Column('balance', sa.Float(), server_default='0', nullable=False),
    sa.Column('spend', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('performer', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('favorite', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('last_checked_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('join_date', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), server_default=sa.text("TIMEZONE('utc', CURRENT_TIMESTAMP)"), nullable=False),
    sa.Column('updated_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('hosts',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.Text(), nullable=False),
    sa.Column('identifier', sa.Text(), nullable=True),
    sa.Column('password', sa.Text(), nullable=True),
    sa.Column('source', sa.Boolean(), server_default='True', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='True', nullable=False),
    sa.PrimaryKeyConstraint('id'),
    schema='management'
    )
    op.create_table('servers',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.Text(), nullable=False),
    sa.Column('ip', sa.Text(), nullable=False),
    sa.Column('mac_address', sa.Text(), nullable=False),
    sa.Column('job_limit', sa.SmallInteger(), server_default='10', nullable=False),
    sa.Column('active', sa.SmallInteger(), server_default='1', nullable=False),
    sa.PrimaryKeyConstraint('id'),
    schema='management'
    )
    op.create_table('sites',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.Text(), nullable=False),
    sa.Column('db_name', sa.Text(), nullable=False),
    sa.Column('url', sa.Text(), nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('size', sa.BigInteger(), server_default='0', nullable=False),
    sa.Column('user_id_checkpoint', sa.BigInteger(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='management'
    )
    op.create_table('media',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('url', sa.Text(), nullable=True),
    sa.Column('size', sa.BigInteger(), server_default='0', nullable=False),
    sa.Column('category', sa.String(), nullable=True),
    sa.Column('preview', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('users',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('username', sa.Text(), nullable=True),
    sa.Column('balance', sa.Float(), server_default='0', nullable=False),
    sa.Column('spend', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('performer', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('favorite', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('last_checked_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('join_date', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), server_default=sa.text("TIMEZONE('utc', CURRENT_TIMESTAMP)"), nullable=False),
    sa.Column('updated_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('bought_content',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('supplier_id', sa.BigInteger(), nullable=False),
    sa.Column('buyer_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['buyer_id'], ['fansly.users.id'], ),
    sa.ForeignKeyConstraint(['supplier_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('jobs',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('site_id', sa.BigInteger(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('user_username', sa.Text(), nullable=False),
    sa.Column('category', sa.Text(), nullable=False),
    sa.Column('server_id', sa.BigInteger(), nullable=False),
    sa.Column('host_id', sa.BigInteger(), nullable=True),
    sa.Column('skippable', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('completed_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['host_id'], ['management.hosts.id'], ),
    sa.ForeignKeyConstraint(['server_id'], ['management.servers.id'], ),
    sa.ForeignKeyConstraint(['site_id'], ['management.sites.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('site_id', 'user_id', 'category'),
    schema='fansly'
    )
    op.create_table('notifications',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=True),
    sa.Column('category', sa.String(), nullable=False),
    sa.Column('sent_discord', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('sent_telegram', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), server_default=sa.text("TIMEZONE('utc', CURRENT_TIMESTAMP)"), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('remote_urls',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('host_id', sa.BigInteger(), nullable=False),
    sa.Column('url', sa.Text(), nullable=True),
    sa.Column('uploaded_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['host_id'], ['management.hosts.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('socials',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('site', sa.String(), nullable=False),
    sa.Column('identifier', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('subscriptions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('subscriber_id', sa.BigInteger(), nullable=False),
    sa.Column('paid_content', sa.Boolean(), server_default='0', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('expires_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['subscriber_id'], ['fansly.users.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'subscriber_id'),
    schema='fansly'
    )
    op.create_table('user_aliases',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('username', sa.String(length=50), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'username'),
    schema='fansly'
    )
    op.create_table('user_auths',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('cookie', sa.Text(), nullable=True),
    sa.Column('x_bc', sa.Text(), nullable=True),
    sa.Column('authorization', sa.Text(), nullable=True),
    sa.Column('user_agent', sa.Text(), nullable=False),
    sa.Column('email', sa.Text(), nullable=True),
    sa.Column('password', sa.Text(), nullable=True),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('user_infos',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('username', sa.Text(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('promotion', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('sex', sa.SmallInteger(), nullable=True),
    sa.Column('post_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('image_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('video_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('audio_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('favourited_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('size', sa.BigInteger(), server_default='0', nullable=False),
    sa.Column('location', sa.Text(), nullable=True),
    sa.Column('website', sa.Text(), nullable=True),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('uploaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'username'),
    schema='fansly'
    )
    op.create_table('x_messages',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('receiver_id', sa.BigInteger(), nullable=True),
    sa.Column('text', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('deleted', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('paid', sa.Boolean(), nullable=True),
    sa.Column('verified', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['receiver_id'], ['fansly.users.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('x_posts',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('text', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('deleted', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('archived', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('paid', sa.Boolean(), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('x_stories',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['fansly.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('bought_content',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('supplier_id', sa.BigInteger(), nullable=False),
    sa.Column('buyer_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['buyer_id'], ['onlyfans.users.id'], ),
    sa.ForeignKeyConstraint(['supplier_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('jobs',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('site_id', sa.BigInteger(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('user_username', sa.Text(), nullable=False),
    sa.Column('category', sa.Text(), nullable=False),
    sa.Column('server_id', sa.BigInteger(), nullable=False),
    sa.Column('host_id', sa.BigInteger(), nullable=True),
    sa.Column('skippable', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('completed_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['host_id'], ['management.hosts.id'], ),
    sa.ForeignKeyConstraint(['server_id'], ['management.servers.id'], ),
    sa.ForeignKeyConstraint(['site_id'], ['management.sites.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('site_id', 'user_id', 'category'),
    schema='onlyfans'
    )
    op.create_table('notifications',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=True),
    sa.Column('category', sa.String(), nullable=False),
    sa.Column('sent_discord', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('sent_telegram', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), server_default=sa.text("TIMEZONE('utc', CURRENT_TIMESTAMP)"), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('remote_urls',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('host_id', sa.BigInteger(), nullable=False),
    sa.Column('url', sa.Text(), nullable=True),
    sa.Column('uploaded_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['host_id'], ['management.hosts.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('socials',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('site', sa.String(), nullable=False),
    sa.Column('identifier', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('subscriptions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('subscriber_id', sa.BigInteger(), nullable=False),
    sa.Column('paid_content', sa.Boolean(), server_default='0', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('expires_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['subscriber_id'], ['onlyfans.users.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'subscriber_id'),
    schema='onlyfans'
    )
    op.create_table('user_aliases',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('username', sa.String(length=50), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'username'),
    schema='onlyfans'
    )
    op.create_table('user_auths',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('cookie', sa.Text(), nullable=True),
    sa.Column('x_bc', sa.Text(), nullable=True),
    sa.Column('authorization', sa.Text(), nullable=True),
    sa.Column('user_agent', sa.Text(), nullable=False),
    sa.Column('email', sa.Text(), nullable=True),
    sa.Column('password', sa.Text(), nullable=True),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('user_infos',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('username', sa.Text(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('promotion', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('sex', sa.SmallInteger(), nullable=True),
    sa.Column('post_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('image_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('video_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('audio_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('favourited_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('size', sa.BigInteger(), server_default='0', nullable=False),
    sa.Column('location', sa.Text(), nullable=True),
    sa.Column('website', sa.Text(), nullable=True),
    sa.Column('downloaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('uploaded_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_id', 'username'),
    schema='onlyfans'
    )
    op.create_table('x_messages',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('receiver_id', sa.BigInteger(), nullable=True),
    sa.Column('text', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('deleted', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('paid', sa.Boolean(), nullable=True),
    sa.Column('verified', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['receiver_id'], ['onlyfans.users.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('x_posts',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('text', sa.Text(), nullable=True),
    sa.Column('price', sa.Float(), server_default='0', nullable=False),
    sa.Column('deleted', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('archived', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('paid', sa.Boolean(), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('x_stories',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['onlyfans.users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('comments',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('post_id', sa.BigInteger(), nullable=False),
    sa.Column('reply_id', sa.BigInteger(), nullable=True),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('giphy_id', sa.String(), nullable=True),
    sa.Column('text', sa.String(), nullable=True),
    sa.Column('likes_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['post_id'], ['fansly.x_posts.id'], ),
    sa.ForeignKeyConstraint(['reply_id'], ['fansly.comments.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='fansly'
    )
    op.create_table('content_media_asso',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('story_id', sa.BigInteger(), nullable=True),
    sa.Column('post_id', sa.BigInteger(), nullable=True),
    sa.Column('message_id', sa.BigInteger(), nullable=True),
    sa.Column('media_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['media_id'], ['fansly.media.id'], ),
    sa.ForeignKeyConstraint(['message_id'], ['fansly.x_messages.id'], ),
    sa.ForeignKeyConstraint(['post_id'], ['fansly.x_posts.id'], ),
    sa.ForeignKeyConstraint(['story_id'], ['fansly.x_stories.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('story_id', 'post_id', 'message_id', 'media_id'),
    schema='fansly'
    )
    op.create_table('filepaths',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('filepath', sa.String(length=255), nullable=False),
    sa.Column('preview', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('downloaded', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('story_id', sa.BigInteger(), nullable=True),
    sa.Column('post_id', sa.BigInteger(), nullable=True),
    sa.Column('message_id', sa.BigInteger(), nullable=True),
    sa.Column('media_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['media_id'], ['fansly.media.id'], ),
    sa.ForeignKeyConstraint(['message_id'], ['fansly.x_messages.id'], ),
    sa.ForeignKeyConstraint(['post_id'], ['fansly.x_posts.id'], ),
    sa.ForeignKeyConstraint(['story_id'], ['fansly.x_stories.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('story_id', 'post_id', 'message_id', 'media_id'),
    schema='fansly'
    )
    op.create_table('comments',
    sa.Column('id', sa.BigInteger(), autoincrement=False, nullable=False),
    sa.Column('post_id', sa.BigInteger(), nullable=False),
    sa.Column('reply_id', sa.BigInteger(), nullable=True),
    sa.Column('user_id', sa.BigInteger(), nullable=False),
    sa.Column('giphy_id', sa.String(), nullable=True),
    sa.Column('text', sa.String(), nullable=True),
    sa.Column('likes_count', sa.Integer(), server_default='0', nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.ForeignKeyConstraint(['post_id'], ['onlyfans.x_posts.id'], ),
    sa.ForeignKeyConstraint(['reply_id'], ['onlyfans.comments.id'], ),
    sa.PrimaryKeyConstraint('id'),
    schema='onlyfans'
    )
    op.create_table('content_media_asso',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('story_id', sa.BigInteger(), nullable=True),
    sa.Column('post_id', sa.BigInteger(), nullable=True),
    sa.Column('message_id', sa.BigInteger(), nullable=True),
    sa.Column('media_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['media_id'], ['onlyfans.media.id'], ),
    sa.ForeignKeyConstraint(['message_id'], ['onlyfans.x_messages.id'], ),
    sa.ForeignKeyConstraint(['post_id'], ['onlyfans.x_posts.id'], ),
    sa.ForeignKeyConstraint(['story_id'], ['onlyfans.x_stories.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('story_id', 'post_id', 'message_id', 'media_id'),
    schema='onlyfans'
    )
    op.create_table('filepaths',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('filepath', sa.String(length=255), nullable=False),
    sa.Column('preview', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('downloaded', sa.Boolean(), server_default='false', nullable=False),
    sa.Column('story_id', sa.BigInteger(), nullable=True),
    sa.Column('post_id', sa.BigInteger(), nullable=True),
    sa.Column('message_id', sa.BigInteger(), nullable=True),
    sa.Column('media_id', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['media_id'], ['onlyfans.media.id'], ),
    sa.ForeignKeyConstraint(['message_id'], ['onlyfans.x_messages.id'], ),
    sa.ForeignKeyConstraint(['post_id'], ['onlyfans.x_posts.id'], ),
    sa.ForeignKeyConstraint(['story_id'], ['onlyfans.x_stories.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('story_id', 'post_id', 'message_id', 'media_id'),
    schema='onlyfans'
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('filepaths', schema='onlyfans')
    op.drop_table('content_media_asso', schema='onlyfans')
    op.drop_table('comments', schema='onlyfans')
    op.drop_table('filepaths', schema='fansly')
    op.drop_table('content_media_asso', schema='fansly')
    op.drop_table('comments', schema='fansly')
    op.drop_table('x_stories', schema='onlyfans')
    op.drop_table('x_posts', schema='onlyfans')
    op.drop_table('x_messages', schema='onlyfans')
    op.drop_table('user_infos', schema='onlyfans')
    op.drop_table('user_auths', schema='onlyfans')
    op.drop_table('user_aliases', schema='onlyfans')
    op.drop_table('subscriptions', schema='onlyfans')
    op.drop_table('socials', schema='onlyfans')
    op.drop_table('remote_urls', schema='onlyfans')
    op.drop_table('notifications', schema='onlyfans')
    op.drop_table('jobs', schema='onlyfans')
    op.drop_table('bought_content', schema='onlyfans')
    op.drop_table('x_stories', schema='fansly')
    op.drop_table('x_posts', schema='fansly')
    op.drop_table('x_messages', schema='fansly')
    op.drop_table('user_infos', schema='fansly')
    op.drop_table('user_auths', schema='fansly')
    op.drop_table('user_aliases', schema='fansly')
    op.drop_table('subscriptions', schema='fansly')
    op.drop_table('socials', schema='fansly')
    op.drop_table('remote_urls', schema='fansly')
    op.drop_table('notifications', schema='fansly')
    op.drop_table('jobs', schema='fansly')
    op.drop_table('bought_content', schema='fansly')
    op.drop_table('users', schema='onlyfans')
    op.drop_table('media', schema='onlyfans')
    op.drop_table('sites', schema='management')
    op.drop_table('servers', schema='management')
    op.drop_table('hosts', schema='management')
    op.drop_table('users', schema='fansly')
    op.drop_table('media', schema='fansly')
    # ### end Alembic commands ###
